com.explodingpixels.macwidgets

## Class WidgetFactory

- java.lang.Object
- - com.explodingpixels.macwidgets.WidgetFactory

-     public class WidgetFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WidgetFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JSplitPane` | `createHorizontalSplitPane(JComponent componentLeft, JComponent componentRight)`
    `static JSplitPane` | `createVerticalSplitPane(JComponent componentTop, JComponent componentBottom)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WidgetFactory

          public WidgetFactory()

  - ### Method Detail

    - #### createHorizontalSplitPane

          public static JSplitPane createHorizontalSplitPane(JComponent componentLeft,
                                             JComponent componentRight)

    - #### createVerticalSplitPane

          public static JSplitPane createVerticalSplitPane(JComponent componentTop,
                                           JComponent componentBottom)